Package com.emc.d2fs.services.download_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.download_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.download_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.download_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CanPrintControlledViewRequest`
  `createCanPrintControlledViewRequest()`
  Create an instance of `CanPrintControlledViewRequest`
  `CanPrintControlledViewResponse`
  `createCanPrintControlledViewResponse()`
  Create an instance of `CanPrintControlledViewResponse`
  `GetCheckinUrlsRequest`
  `createGetCheckinUrlsRequest()`
  Create an instance of `GetCheckinUrlsRequest`
  `GetCheckinUrlsResponse`
  `createGetCheckinUrlsResponse()`
  Create an instance of `GetCheckinUrlsResponse`
  `GetDefaultDfsServerInfoRequest`
  `createGetDefaultDfsServerInfoRequest()`
  Create an instance of `GetDefaultDfsServerInfoRequest`
  `GetDefaultDfsServerInfoResponse`
  `createGetDefaultDfsServerInfoResponse()`
  Create an instance of `GetDefaultDfsServerInfoResponse`
  `GetDispatchDownloadUrlRequest`
  `createGetDispatchDownloadUrlRequest()`
  Create an instance of `GetDispatchDownloadUrlRequest`
  `GetDispatchDownloadUrlResponse`
  `createGetDispatchDownloadUrlResponse()`
  Create an instance of `GetDispatchDownloadUrlResponse`
  `GetDownloadFileDetailsRequest`
  `createGetDownloadFileDetailsRequest()`
  Create an instance of `GetDownloadFileDetailsRequest`
  `GetDownloadFileDetailsResponse`
  `createGetDownloadFileDetailsResponse()`
  Create an instance of `GetDownloadFileDetailsResponse`
  `GetDownloadUrlsRequest`
  `createGetDownloadUrlsRequest()`
  Create an instance of `GetDownloadUrlsRequest`
  `GetDownloadUrlsResponse`
  `createGetDownloadUrlsResponse()`
  Create an instance of `GetDownloadUrlsResponse`
  `GetExtractDcoumentPropertyRequest`
  `createGetExtractDcoumentPropertyRequest()`
  Create an instance of `GetExtractDcoumentPropertyRequest`
  `GetExtractDcoumentPropertyResponse`
  `createGetExtractDcoumentPropertyResponse()`
  Create an instance of `GetExtractDcoumentPropertyResponse`
  `GetExtractUrlsRequest`
  `createGetExtractUrlsRequest()`
  Create an instance of `GetExtractUrlsRequest`
  `GetExtractUrlsResponse`
  `createGetExtractUrlsResponse()`
  Create an instance of `GetExtractUrlsResponse`
  `GetFileInfoRequest`
  `createGetFileInfoRequest()`
  Create an instance of `GetFileInfoRequest`
  `GetFileInfoResponse`
  `createGetFileInfoResponse()`
  Create an instance of `GetFileInfoResponse`
  `GetImportStructureUrlsRequest`
  `createGetImportStructureUrlsRequest()`
  Create an instance of `GetImportStructureUrlsRequest`
  `GetImportStructureUrlsResponse`
  `createGetImportStructureUrlsResponse()`
  Create an instance of `GetImportStructureUrlsResponse`
  `GetObjectsDownloadUrlsRequest`
  `createGetObjectsDownloadUrlsRequest()`
  Create an instance of `GetObjectsDownloadUrlsRequest`
  `GetObjectsDownloadUrlsResponse`
  `createGetObjectsDownloadUrlsResponse()`
  Create an instance of `GetObjectsDownloadUrlsResponse`
  `GetPageServingUrlsRequest`
  `createGetPageServingUrlsRequest()`
  Create an instance of `GetPageServingUrlsRequest`
  `GetPageServingUrlsResponse`
  `createGetPageServingUrlsResponse()`
  Create an instance of `GetPageServingUrlsResponse`
  `GetUploadUrlsRequest`
  `createGetUploadUrlsRequest()`
  Create an instance of `GetUploadUrlsRequest`
  `GetUploadUrlsResponse`
  `createGetUploadUrlsResponse()`
  Create an instance of `GetUploadUrlsResponse`
  `IsProtectedInControlledViewRequest`
  `createIsProtectedInControlledViewRequest()`
  Create an instance of `IsProtectedInControlledViewRequest`
  `IsProtectedInControlledViewResponse`
  `createIsProtectedInControlledViewResponse()`
  Create an instance of `IsProtectedInControlledViewResponse`
  `RemoveContentlessObjectRequest`
  `createRemoveContentlessObjectRequest()`
  Create an instance of `RemoveContentlessObjectRequest`
  `RemoveContentlessObjectResponse`
  `createRemoveContentlessObjectResponse()`
  Create an instance of `RemoveContentlessObjectResponse`
  `SetDocumentPropertyRequest`
  `createSetDocumentPropertyRequest()`
  Create an instance of `SetDocumentPropertyRequest`
  `SetDocumentPropertyResponse`
  `createSetDocumentPropertyResponse()`
  Create an instance of `SetDocumentPropertyResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.download_service

- ## Method Details

  - ### createGetDefaultDfsServerInfoRequest

    public GetDefaultDfsServerInfoRequest createGetDefaultDfsServerInfoRequest()
    Create an instance of `GetDefaultDfsServerInfoRequest`

  - ### createGetDefaultDfsServerInfoResponse

    public GetDefaultDfsServerInfoResponse createGetDefaultDfsServerInfoResponse()
    Create an instance of `GetDefaultDfsServerInfoResponse`

  - ### createGetFileInfoRequest

    public GetFileInfoRequest createGetFileInfoRequest()
    Create an instance of `GetFileInfoRequest`

  - ### createGetFileInfoResponse

    public GetFileInfoResponse createGetFileInfoResponse()
    Create an instance of `GetFileInfoResponse`

  - ### createGetDownloadUrlsRequest

    public GetDownloadUrlsRequest createGetDownloadUrlsRequest()
    Create an instance of `GetDownloadUrlsRequest`

  - ### createGetDownloadUrlsResponse

    public GetDownloadUrlsResponse createGetDownloadUrlsResponse()
    Create an instance of `GetDownloadUrlsResponse`

  - ### createGetPageServingUrlsRequest

    public GetPageServingUrlsRequest createGetPageServingUrlsRequest()
    Create an instance of `GetPageServingUrlsRequest`

  - ### createGetPageServingUrlsResponse

    public GetPageServingUrlsResponse createGetPageServingUrlsResponse()
    Create an instance of `GetPageServingUrlsResponse`

  - ### createGetObjectsDownloadUrlsRequest

    public GetObjectsDownloadUrlsRequest createGetObjectsDownloadUrlsRequest()
    Create an instance of `GetObjectsDownloadUrlsRequest`

  - ### createGetObjectsDownloadUrlsResponse

    public GetObjectsDownloadUrlsResponse createGetObjectsDownloadUrlsResponse()
    Create an instance of `GetObjectsDownloadUrlsResponse`

  - ### createGetDownloadFileDetailsRequest

    public GetDownloadFileDetailsRequest createGetDownloadFileDetailsRequest()
    Create an instance of `GetDownloadFileDetailsRequest`

  - ### createGetDownloadFileDetailsResponse

    public GetDownloadFileDetailsResponse createGetDownloadFileDetailsResponse()
    Create an instance of `GetDownloadFileDetailsResponse`

  - ### createGetUploadUrlsRequest

    public GetUploadUrlsRequest createGetUploadUrlsRequest()
    Create an instance of `GetUploadUrlsRequest`

  - ### createGetUploadUrlsResponse

    public GetUploadUrlsResponse createGetUploadUrlsResponse()
    Create an instance of `GetUploadUrlsResponse`

  - ### createGetCheckinUrlsRequest

    public GetCheckinUrlsRequest createGetCheckinUrlsRequest()
    Create an instance of `GetCheckinUrlsRequest`

  - ### createGetCheckinUrlsResponse

    public GetCheckinUrlsResponse createGetCheckinUrlsResponse()
    Create an instance of `GetCheckinUrlsResponse`

  - ### createGetExtractUrlsRequest

    public GetExtractUrlsRequest createGetExtractUrlsRequest()
    Create an instance of `GetExtractUrlsRequest`

  - ### createGetExtractUrlsResponse

    public GetExtractUrlsResponse createGetExtractUrlsResponse()
    Create an instance of `GetExtractUrlsResponse`

  - ### createGetExtractDcoumentPropertyRequest

    public GetExtractDcoumentPropertyRequest createGetExtractDcoumentPropertyRequest()
    Create an instance of `GetExtractDcoumentPropertyRequest`

  - ### createGetExtractDcoumentPropertyResponse

    public GetExtractDcoumentPropertyResponse createGetExtractDcoumentPropertyResponse()
    Create an instance of `GetExtractDcoumentPropertyResponse`

  - ### createSetDocumentPropertyRequest

    public SetDocumentPropertyRequest createSetDocumentPropertyRequest()
    Create an instance of `SetDocumentPropertyRequest`

  - ### createSetDocumentPropertyResponse

    public SetDocumentPropertyResponse createSetDocumentPropertyResponse()
    Create an instance of `SetDocumentPropertyResponse`

  - ### createCanPrintControlledViewRequest

    public CanPrintControlledViewRequest createCanPrintControlledViewRequest()
    Create an instance of `CanPrintControlledViewRequest`

  - ### createCanPrintControlledViewResponse

    public CanPrintControlledViewResponse createCanPrintControlledViewResponse()
    Create an instance of `CanPrintControlledViewResponse`

  - ### createIsProtectedInControlledViewRequest

    public IsProtectedInControlledViewRequest createIsProtectedInControlledViewRequest()
    Create an instance of `IsProtectedInControlledViewRequest`

  - ### createIsProtectedInControlledViewResponse

    public IsProtectedInControlledViewResponse createIsProtectedInControlledViewResponse()
    Create an instance of `IsProtectedInControlledViewResponse`

  - ### createGetImportStructureUrlsRequest

    public GetImportStructureUrlsRequest createGetImportStructureUrlsRequest()
    Create an instance of `GetImportStructureUrlsRequest`

  - ### createGetImportStructureUrlsResponse

    public GetImportStructureUrlsResponse createGetImportStructureUrlsResponse()
    Create an instance of `GetImportStructureUrlsResponse`

  - ### createGetDispatchDownloadUrlRequest

    public GetDispatchDownloadUrlRequest createGetDispatchDownloadUrlRequest()
    Create an instance of `GetDispatchDownloadUrlRequest`

  - ### createGetDispatchDownloadUrlResponse

    public GetDispatchDownloadUrlResponse createGetDispatchDownloadUrlResponse()
    Create an instance of `GetDispatchDownloadUrlResponse`

  - ### createRemoveContentlessObjectRequest

    public RemoveContentlessObjectRequest createRemoveContentlessObjectRequest()
    Create an instance of `RemoveContentlessObjectRequest`

  - ### createRemoveContentlessObjectResponse

    public RemoveContentlessObjectResponse createRemoveContentlessObjectResponse()
    Create an instance of `RemoveContentlessObjectResponse`